Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::abstract_light_node Class Reference

Inheritance diagram for openvrml::vrml97_node::abstract_light_node:

[legend]
List of all members.

## Detailed Description

Base class for all light nodes.

## Public Member Functions

virtual | ~abstract_light_node ()=0 throw ()
| Destroy.
virtual void | renderScoped (openvrml::viewer &viewer)
| Render this node as scoped.
virtual abstract_light_node * | to_light () const
| Downcast to a light node.
float | ambient_intensity () const throw ()
| Ambient intensity.
float | intensity () const throw ()
| Intensity.
bool | on () const throw ()
| Whether the light is on.
const openvrml::color & | color () const throw ()
| Light color.

## Protected Member Functions

| abstract_light_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.

## Protected Attributes

exposedfield< sffloat > | ambient_intensity_
| ambientIntensity exposedField.
exposedfield< sfcolor > | color_
| color exposedField.
exposedfield< sffloat > | intensity_
| intensity exposedField.
exposedfield< sfbool > | on_
| on exposedField.

## Constructor & Destructor Documentation

openvrml::vrml97_node::abstract_light_node::~abstract_light_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy.

openvrml::vrml97_node::abstract_light_node::abstract_light_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | `[protected]`

Construct.

Parameters:

  | type | the node_type for the node.
  | scope | the scope to which the node belongs.

## Member Function Documentation

void openvrml::vrml97_node::abstract_light_node::renderScoped | ( | openvrml::viewer & | viewer | ) | `[virtual]`

Render this node as scoped.

The default version of this method does nothing.

Parameters:

  | viewer | a renderer.

Reimplemented in openvrml::vrml97_node::point_light_node, and openvrml::vrml97_node::spot_light_node.

abstract_light_node * openvrml::vrml97_node::abstract_light_node::to_light | ( |  | ) | const`[virtual]`

Downcast to a light node.

Returns:
  a pointer to this object.

Reimplemented from openvrml::node.

float openvrml::vrml97_node::abstract_light_node::ambient_intensity | ( |  | ) | const throw ()

Ambient intensity.

Returns:
  the ambient intensity.

float openvrml::vrml97_node::abstract_light_node::intensity | ( |  | ) | const throw ()

Intensity.

Returns:
  the intensity.

bool openvrml::vrml97_node::abstract_light_node::on | ( |  | ) | const throw ()

Whether the light is on.

Returns:
  `true` if the light is on; `false` otherwise.

const openvrml::color & openvrml::vrml97_node::abstract_light_node::color | ( |  | ) | const throw ()

Light color.

Returns:
  the light color.

## Member Data Documentation

exposedfield< sffloat > openvrml::vrml97_node::abstract_light_node::ambient_intensity_ `[protected]`

| ambientIntensity exposedField.

exposedfield< sfcolor > openvrml::vrml97_node::abstract_light_node::color_ `[protected]`

| color exposedField.

exposedfield< sffloat > openvrml::vrml97_node::abstract_light_node::intensity_ `[protected]`

| intensity exposedField.

exposedfield< sfbool > openvrml::vrml97_node::abstract_light_node::on_ `[protected]`

| on exposedField.